<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.posttestlaststep.PostTestLastStepViewModel" />
    </data>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:id="@+id/parentContainer"
        android:layout_height="match_parent"
        android:background="@color/linen">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.XL"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:layout_marginHorizontal="@dimen/spacing_large"
            android:text="@{viewModel.getTipTitle}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/phoneImageContainer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@drawable/gray_background"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:layout_marginHorizontal="@dimen/spacing_large"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/mobileCall"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/rounded_corners"
                android:scaleType="centerCrop"
                android:src="@{viewModel.getTipImage}"
                app:clipToOutline="@{true}"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.vessel.app.views.BlackAuthAppButtonViewGroup
            android:id="@+id/gotIt"
            style="@style/FooterButton"
            android:onClick="@{(view)-> viewModel.onGotItClicked(view)}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/got_it}"
            tools:background="@color/blackAlpha70" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
